View Issue Details

IDProjectCategoryView StatusLast Update
0006665Talerexchangepublic2021-09-02 18:14
Reporterttn Assigned ToChristian Grothoff  
PriorityurgentSeverityblockReproducibilityhave not tried
Status closedResolutionfixed 
PlatformLinuxOSDevuanOS VersionBeowulf/Chimaera
Target Version0.8Fixed in Version0.8 
Summary0006665: FTBFS: missing header taler_testing_lib.h
DescriptionFrom a fresh taler-exchange-0.8.1.tar.gz, unpacked and did:

    $ configure -C --with-gnunet=/usr/local
    $ make

I attach the full `make` output, which ends with:

      CC testing_api_cmd_rewind.lo
    testing_api_cmd_rewind.c:27:10: fatal error: taler/taler_testing_lib.h: File o directory non esistente
       27 | #include "taler/taler_testing_lib.h"
          | ^~~~~~~~~~~~~~~~~~~~~~~~~~~
    compilation terminated.
Additional InformationThis build attempt is in the context of stabilizing the Taler Merchant Manual,
which requires first building and installing GNUnet (no issues), then Exchange
(the current problem), then Merchant (still to go).
TagsNo tags attached.

Activities

ttn

2020-12-09 02:14

developer  

.ttn.make.log (10,908 bytes)   
-*- mode: compilation; default-directory: "~/local/.b/taler-exchange-0.8.1/" -*-
Compilation started at Tue Dec  8 19:55:20

make
make  all-recursive
make[1]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1»
Making all in .
make[2]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1»
make[2]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1»
Making all in contrib
make[2]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/contrib»
Making all in .
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/contrib»
make[3]: Nessuna operazione da eseguire per «all-am».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/contrib»
make[2]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/contrib»
Making all in src
make[2]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src»
Making all in include
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/include»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/include»
Making all in util
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/util»
  CC       amount.lo
  CC       config.lo
  CC       crypto.lo
  CC       crypto_wire.lo
  CC       getopt.lo
  CC       lang.lo
  CC       mhd.lo
  CC       payto.lo
  CC       taler_error_codes.lo
  CC       url.lo
  CC       util.lo
  CC       yna.lo
  CC       os_installation.lo
  CCLD     libtalerutil.la
rm -f taler-config taler-config.tmp && \
/bin/sed -e 's,%libdir%,/usr/local/lib,'g  taler-config.in >taler-config.tmp && \
chmod a-w+x taler-config.tmp && \
mv taler-config.tmp taler-config
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/util»
Making all in json
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/json»
  CC       i18n.lo
  CC       json.lo
  CC       json_helper.lo
  CC       json_wire.lo
  CCLD     libtalerjson.la
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/json»
Making all in curl
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/curl»
  CC       curl.lo
  CCLD     libtalercurl.la
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/curl»
Making all in pq
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/pq»
  CC       pq_query_helper.lo
  CC       pq_result_helper.lo
  CCLD     libtalerpq.la
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/pq»
Making all in sq
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/sq»
  CC       sq_query_helper.lo
  CC       sq_result_helper.lo
  CCLD     libtalersq.la
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/sq»
Making all in mhd
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/mhd»
  CC       mhd_config.lo
  CC       mhd_legal.lo
  CC       mhd_parsing.lo
  CC       mhd_responses.lo
  CCLD     libtalermhd.la
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/mhd»
Making all in bank-lib
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/bank-lib»
  CC       taler-wire-gateway-client.o
  CC       bank_api_admin.lo
  CC       bank_api_common.lo
  CC       bank_api_credit.lo
  CC       bank_api_debit.lo
  CC       bank_api_transfer.lo
  CC       bank_api_parse.lo
  CCLD     libtalerbank.la
  CCLD     taler-wire-gateway-client
  CC       taler-fakebank-run.o
  CC       fakebank.lo
  CCLD     libtalerfakebank.la
  CCLD     taler-fakebank-run
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/bank-lib»
Making all in exchangedb
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/exchangedb»
  CC       exchangedb_accounts.lo
  CC       exchangedb_auditorkeys.lo
  CC       exchangedb_denomkeys.lo
  CC       exchangedb_fees.lo
  CC       exchangedb_plugin.lo
  CC       exchangedb_signkeys.lo
  CC       exchangedb_transactions.lo
  CCLD     libtalerexchangedb.la
  CC       plugin_exchangedb_postgres.lo
  CCLD     libtaler_plugin_exchangedb_postgres.la
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/exchangedb»
Making all in exchange
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/exchange»
  CC       taler-exchange-aggregator.o
  CCLD     taler-exchange-aggregator
  CC       taler-exchange-closer.o
  CCLD     taler-exchange-closer
  CC       taler-exchange-httpd.o
  CC       taler-exchange-httpd_db.o
  CC       taler-exchange-httpd_deposit.o
  CC       taler-exchange-httpd_deposits_get.o
  CC       taler-exchange-httpd_keystate.o
  CC       taler-exchange-httpd_link.o
  CC       taler-exchange-httpd_mhd.o
  CC       taler-exchange-httpd_recoup.o
  CC       taler-exchange-httpd_melt.o
  CC       taler-exchange-httpd_refreshes_reveal.o
  CC       taler-exchange-httpd_refund.o
  CC       taler-exchange-httpd_reserves_get.o
  CC       taler-exchange-httpd_responses.o
  CC       taler-exchange-httpd_terms.o
  CC       taler-exchange-httpd_transfers_get.o
  CC       taler-exchange-httpd_wire.o
  CC       taler-exchange-httpd_withdraw.o
  CCLD     taler-exchange-httpd
  CC       taler-exchange-transfer.o
  CCLD     taler-exchange-transfer
  CC       taler-exchange-wirewatch.o
  CCLD     taler-exchange-wirewatch
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/exchange»
Making all in exchange-tools
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/exchange-tools»
  CC       taler-exchange-keyup.o
  CCLD     taler-exchange-keyup
  CC       taler-exchange-keycheck.o
  CCLD     taler-exchange-keycheck
  CC       taler-exchange-wire.o
  CCLD     taler-exchange-wire
  CC       taler_exchange_dbinit-taler-exchange-dbinit.o
  CCLD     taler-exchange-dbinit
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/exchange-tools»
Making all in auditordb
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/auditordb»
  CC       auditordb_plugin.lo
  CCLD     libtalerauditordb.la
  CC       plugin_auditordb_postgres.lo
  CCLD     libtaler_plugin_auditordb_postgres.la
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/auditordb»
Making all in auditor
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/auditor»
  CC       taler_auditor_dbinit-taler-auditor-dbinit.o
  CCLD     taler-auditor-dbinit
  CC       taler-auditor-exchange.o
  CCLD     taler-auditor-exchange
  CC       taler-auditor-httpd.o
  CC       taler-auditor-httpd_deposit-confirmation.o
  CC       taler-auditor-httpd_exchanges.o
  CC       taler-auditor-httpd_mhd.o
  CCLD     taler-auditor-httpd
  CC       taler-auditor-sign.o
  CCLD     taler-auditor-sign
  CC       taler-helper-auditor-aggregation.o
  CC       report-lib.lo
  CCLD     libauditorreport.la
  CCLD     taler-helper-auditor-aggregation
  CC       taler-helper-auditor-coins.o
  CCLD     taler-helper-auditor-coins
  CC       taler-helper-auditor-deposits.o
  CCLD     taler-helper-auditor-deposits
  CC       taler-helper-auditor-reserves.o
  CCLD     taler-helper-auditor-reserves
  CC       taler-helper-auditor-wire.o
  CCLD     taler-helper-auditor-wire
rm -f taler-auditor taler-auditor.tmp && \
/bin/sed -e 's,%pkgdatadir%,/usr/local/share/taler-exchange,'g  taler-auditor.in >taler-auditor.tmp && \
chmod a-w+x taler-auditor.tmp && \
mv taler-auditor.tmp taler-auditor
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/auditor»
Making all in lib
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/lib»
  CC       auditor_api_curl_defaults.lo
  CC       auditor_api_handle.lo
  CC       auditor_api_deposit_confirmation.lo
  CC       auditor_api_exchanges.lo
  CCLD     libtalerauditor.la
  CC       exchange_api_curl_defaults.lo
  CC       exchange_api_common.lo
  CC       exchange_api_handle.lo
  CC       exchange_api_deposit.lo
  CC       exchange_api_deposits_get.lo
  CC       exchange_api_link.lo
  CC       exchange_api_melt.lo
  CC       exchange_api_recoup.lo
  CC       exchange_api_refresh_common.lo
  CC       exchange_api_refreshes_reveal.lo
  CC       exchange_api_refund.lo
  CC       exchange_api_reserves_get.lo
  CC       exchange_api_transfers_get.lo
  CC       exchange_api_withdraw.lo
  CC       exchange_api_withdraw2.lo
  CC       exchange_api_wire.lo
  CCLD     libtalerexchange.la
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/lib»
Making all in testing
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/testing»
  CC       testing_api_cmd_auditor_deposit_confirmation.lo
  CC       testing_api_cmd_auditor_exchanges.lo
  CC       testing_api_cmd_auditor_exec_auditor.lo
  CC       testing_api_cmd_auditor_exec_auditor_dbinit.lo
  CC       testing_api_cmd_bank_admin_add_incoming.lo
  CC       testing_api_cmd_bank_check.lo
  CC       testing_api_cmd_bank_admin_check.lo
  CC       testing_api_cmd_bank_check_empty.lo
  CC       testing_api_cmd_bank_history_credit.lo
  CC       testing_api_cmd_bank_history_debit.lo
  CC       testing_api_cmd_bank_transfer.lo
  CC       testing_api_cmd_batch.lo
  CC       testing_api_cmd_check_keys.lo
  CC       testing_api_cmd_deposit.lo
  CC       testing_api_cmd_deposits_get.lo
  CC       testing_api_cmd_exec_aggregator.lo
  CC       testing_api_cmd_exec_auditor-sign.lo
  CC       testing_api_cmd_exec_closer.lo
  CC       testing_api_cmd_exec_keyup.lo
  CC       testing_api_cmd_exec_transfer.lo
  CC       testing_api_cmd_exec_wirewatch.lo
  CC       testing_api_cmd_insert_deposit.lo
  CC       testing_api_cmd_recoup.lo
  CC       testing_api_cmd_refund.lo
  CC       testing_api_cmd_refresh.lo
  CC       testing_api_cmd_revoke.lo
  CC       testing_api_cmd_rewind.lo
testing_api_cmd_rewind.c:27:10: fatal error: taler/taler_testing_lib.h: File o directory non esistente
   27 | #include "taler/taler_testing_lib.h"
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~
compilation terminated.
make[3]: *** [Makefile:1442: testing_api_cmd_rewind.lo] Errore 1
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/testing»
make[2]: *** [Makefile:483: all-recursive] Errore 1
make[2]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src»
make[1]: *** [Makefile:458: all-recursive] Errore 1
make[1]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1»
make: *** [Makefile:390: all] Errore 2

Compilation exited abnormally with code 2 at Tue Dec  8 19:56:58
.ttn.make.log (10,908 bytes)   

ttn

2020-12-09 02:43

developer   ~0017173

I notice that the erroneous line:

    https://git.taler.net/exchange.git/tree/src/testing/testing_api_cmd_rewind.c#n27

is followed by one very similar. So i comment out line 27, and re-issue the `make` command.
It successfully compiles that file and continues until another similar "File or directory non-existent"
error later on (full log attached).
.ttn.make-2.log (6,677 bytes)   
-*- mode: compilation; default-directory: "~/local/.b/taler-exchange-0.8.1/" -*-
Compilation started at Tue Dec  8 20:26:13

make
make  all-recursive
make[1]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1»
Making all in .
make[2]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1»
make[2]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1»
Making all in contrib
make[2]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/contrib»
Making all in .
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/contrib»
make[3]: Nessuna operazione da eseguire per «all-am».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/contrib»
make[2]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/contrib»
Making all in src
make[2]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src»
Making all in include
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/include»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/include»
Making all in util
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/util»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/util»
Making all in json
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/json»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/json»
Making all in curl
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/curl»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/curl»
Making all in pq
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/pq»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/pq»
Making all in sq
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/sq»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/sq»
Making all in mhd
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/mhd»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/mhd»
Making all in bank-lib
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/bank-lib»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/bank-lib»
Making all in exchangedb
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/exchangedb»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/exchangedb»
Making all in exchange
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/exchange»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/exchange»
Making all in exchange-tools
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/exchange-tools»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/exchange-tools»
Making all in auditordb
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/auditordb»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/auditordb»
Making all in auditor
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/auditor»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/auditor»
Making all in lib
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/lib»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/lib»
Making all in testing
make[3]: ingresso nella directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/testing»
  CC       testing_api_cmd_rewind.lo
  CC       testing_api_cmd_serialize_keys.lo
  CC       testing_api_cmd_signal.lo
  CC       testing_api_cmd_sleep.lo
  CC       testing_api_cmd_stat.lo
  CC       testing_api_cmd_status.lo
  CC       testing_api_cmd_transfer_get.lo
  CC       testing_api_cmd_wait.lo
  CC       testing_api_cmd_wire.lo
  CC       testing_api_cmd_withdraw.lo
  CC       testing_api_helpers_auditor.lo
  CC       testing_api_helpers_bank.lo
  CC       testing_api_helpers_exchange.lo
  CC       testing_api_loop.lo
  CC       testing_api_traits.lo
  CC       testing_api_trait_amount.lo
  CC       testing_api_trait_blinding_key.lo
  CC       testing_api_trait_cmd.lo
  CC       testing_api_trait_coin_priv.lo
  CC       testing_api_trait_contract.lo
  CC       testing_api_trait_denom_pub.lo
  CC       testing_api_trait_denom_sig.lo
  CC       testing_api_trait_exchange_pub.lo
  CC       testing_api_trait_exchange_sig.lo
  CC       testing_api_trait_fresh_coin.lo
  CC       testing_api_trait_json.lo
  CC       testing_api_trait_merchant_key.lo
  CC       testing_api_trait_number.lo
  CC       testing_api_trait_process.lo
  CC       testing_api_trait_reserve_history.lo
  CC       testing_api_trait_reserve_pub.lo
  CC       testing_api_trait_reserve_priv.lo
  CC       testing_api_trait_string.lo
  CC       testing_api_trait_time.lo
  CC       testing_api_trait_uuid.lo
testing_api_trait_uuid.c:25:10: fatal error: taler/taler_signatures.h: File o directory non esistente
   25 | #include <taler/taler_signatures.h>
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~
compilation terminated.
make[3]: *** [Makefile:1442: testing_api_trait_uuid.lo] Errore 1
make[3]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src/testing»
make[2]: *** [Makefile:483: all-recursive] Errore 1
make[2]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1/src»
make[1]: *** [Makefile:458: all-recursive] Errore 1
make[1]: uscita dalla directory «/home/ttn/local/.b/taler-exchange-0.8.1»
make: *** [Makefile:390: all] Errore 2

Compilation exited abnormally with code 2 at Tue Dec  8 20:26:33
.ttn.make-2.log (6,677 bytes)   

ttn

2020-12-09 02:55

developer   ~0017174

I notice the erroneous line (this time):

  https://git.taler.net/exchange.git/tree/src/testing/testing_api_trait_uuid.c#n25

and the following two lines have the same subdir component, namely, "taler/"
and furthermore use the "system" (angle-bracket) syntax, so i change that portion
of the file to look like:

    //#include <taler/taler_signatures.h>
    //#include <taler/taler_exchange_service.h>
    //#include <taler/taler_testing_lib.h>
    #include "taler_signatures.h"
    #include "taler_exchange_service.h"
    #include "taler_testing_lib.h"

(essentially: removing the prefix subdir and changing the syntax
to "local"). I re-issued `make` and this time it succeeded (went to
completion w/o further error).

ttn

2020-12-09 03:06

developer   ~0017175

I'd like to commit these changes to the Git repo.
Is there a branch besides **master** that i can push to
for review (since this would be my first non-documentation commit,
i'd like a second opinion to make sure i'm on the right track)?

Or would people prefer to make some other change to resolve this issue?

ttn

2020-12-09 03:22

developer   ~0017176

(When i accidentally pushed branch ''p'' to docs.git, i remember there was
an error message saying something like: "Only SOMETHING can be deleted
by non-admin users". What is that SOMETHING ?!?)

ttn

2020-12-09 05:19

developer   ~0017177

PTAL commit 289cf01c8ab2054933b9b67408fe04f221aaf0b1:
https://git.taler.net/exchange.git/commit/?h=dev/ttn/fix-6665&id=289cf01c8ab2054933b9b67408fe04f221aaf0b1

Christian Grothoff

2020-12-09 07:27

manager   ~0017179

I've fixed this and related places in Git master. You are also welcome to push such changes directly to master. Here there was really no reason to review.

One thing: the bug is masked if you immediately run 'make install' (or if you have run 'make install' in the past...).

Christian Grothoff

2021-09-02 18:14

manager   ~0018243

Fix committed to master branch.

Related Changesets

exchange: master 9911b327

2020-12-09 07:25:26

Christian Grothoff

Details Diff
fix 0006665 Affected Issues
0006665
mod - contrib/gana Diff File
mod - src/testing/test_bank_api_twisted.c Diff File
mod - src/testing/testing_api_cmd_rewind.c Diff File
mod - src/testing/testing_api_cmd_twister_exec_client.c Diff File
mod - src/testing/testing_api_trait_uuid.c Diff File

Issue History

Date Modified Username Field Change
2020-12-09 02:14 ttn New Issue
2020-12-09 02:14 ttn Status new => assigned
2020-12-09 02:14 ttn Assigned To => Christian Grothoff
2020-12-09 02:14 ttn File Added: .ttn.make.log
2020-12-09 02:43 ttn Note Added: 0017173
2020-12-09 02:43 ttn File Added: .ttn.make-2.log
2020-12-09 02:55 ttn Note Added: 0017174
2020-12-09 03:06 ttn Note Added: 0017175
2020-12-09 03:22 ttn Note Added: 0017176
2020-12-09 05:19 ttn Note Added: 0017177
2020-12-09 07:27 Christian Grothoff Note Added: 0017179
2020-12-09 07:28 Christian Grothoff Assigned To Christian Grothoff => ttn
2020-12-09 07:28 Christian Grothoff Status assigned => resolved
2020-12-09 07:28 Christian Grothoff Resolution open => fixed
2020-12-09 07:28 Christian Grothoff Fixed in Version => 0.9
2020-12-09 07:28 Christian Grothoff Target Version => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:02 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 9911b327
2021-09-02 18:14 Christian Grothoff Note Added: 0018243
2021-09-02 18:14 Christian Grothoff Assigned To ttn => Christian Grothoff